org.apache.hc.client5.http.entity

## Interface InputStreamFactory

All Known Implementing Classes:
  DeflateInputStreamFactory, GZIPInputStreamFactory

    public interface InputStreamFactory

Factory for decorated `InputStream`s.

Since:
  4.4

### Method Summary

Methods
`InputStream` `create(InputStream inputStream)`

### Method Detail

#### create

    InputStream create(InputStream inputStream)
                       throws IOException

Throws:
  `IOException`